sstream File Reference

Go to the source code of this file.

## Classes

class | std::basic_istringstream< _CharT, _Traits, _Alloc >
class | std::basic_ostringstream< _CharT, _Traits, _Alloc >
class | std::basic_stringbuf< _CharT, _Traits, _Alloc >
class | std::basic_stringstream< _CharT, _Traits, _Alloc >

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_sstream_from_string_view
#define | _GLIBCXX_LVAL_REF_QUAL
#define | _GLIBCXX_SSTREAM_ALWAYS_INLINE

## Functions

template<class _CharT, class _Traits, class _Allocator>
void | std::swap (basic_istringstream< _CharT, _Traits, _Allocator > &__x, basic_istringstream< _CharT, _Traits, _Allocator > &__y)
template<class _CharT, class _Traits, class _Allocator>
void | std::swap (basic_ostringstream< _CharT, _Traits, _Allocator > &__x, basic_ostringstream< _CharT, _Traits, _Allocator > &__y)
template<class _CharT, class _Traits, class _Allocator>
void | std::swap (basic_stringbuf< _CharT, _Traits, _Allocator > &__x, basic_stringbuf< _CharT, _Traits, _Allocator > &__y) noexcept(noexcept(__x.swap(__y)))
template<class _CharT, class _Traits, class _Allocator>
void | std::swap (basic_stringstream< _CharT, _Traits, _Allocator > &__x, basic_stringstream< _CharT, _Traits, _Allocator > &__y)

## Detailed Description

This is a Standard C++ Library header.

Definition in file sstream.

## Macro Definition Documentation

## __glibcxx_want_sstream_from_string_view

#define __glibcxx_want_sstream_from_string_view

Definition at line 47 of file sstream.

## _GLIBCXX_LVAL_REF_QUAL

#define _GLIBCXX_LVAL_REF_QUAL

Definition at line 55 of file sstream.

## _GLIBCXX_SSTREAM_ALWAYS_INLINE

#define _GLIBCXX_SSTREAM_ALWAYS_INLINE

Definition at line 56 of file sstream.